---
title: Template editing
slug: MDN/Tools/Template_editing
tags:
  - Guide
  - MDN Meta
  - Page-level
  - Privileges
  - Roles(2)
  - Tools
---
<div>{{MDNSidebar}}</div><p>On MDN, templates written in <a href="/en-US/docs/MDN/Contribute/Tools/KumaScript">KumaScript</a> are used to automate content generation and customization within pages. Each template is a separate file under <a href="https://github.com/mozilla/kumascript/tree/master/macros">the macros directory of the KumaScript GitHub repository</a>.</p>

<p><span class="seoSummary">Anyone editing MDN wiki pages can invoke templates via <a href="/en-US/docs/MDN/Contribute/Structures/Macros">macros</a> in MDN articles.  Anyone can create and edit templates via <a href="https://github.com/mozilla/kumascript">the KumaScript GitHub repository</a> using standard open-source practices (fork the repo, create a branch, make your changes, and submit a pull-request for review). </span> Note that submitting a pull request is currently the only way to update translated strings in templates that contain them.</p>
